use strict;
use warnings;

use Module::Build;

Module::Build->new(
    module_name       => 'Locale::TextDomain::OO',
    license           => 'perl',
    dist_abstract     => 'Locale::TextDomain::OO - Perl OO Interface to Uniforum Message Translation',
    dist_author       => 'Steffen Winkler <steffenw at cpan.org>',
    dist_version_from => 'lib/Locale/TextDomain/OO.pm',
    requires          => {
        perl                   => 5.006,
        version                => 0,
        parent                 => 0,
        'Perl6::Export::Attrs' => 0,
        'I18N::LangTags'       => 0,
        Safe                   => 0,
        # Carp                 => 0, # perl dist
        # English              => 0, # perl dist
    },
    build_requires => {
        'Test::Simple'      => 0, # for Test::More
        'Test::NoWarnings'  => 0,
        'Test::Exception'   => 0,
        'Test::Differences' => 0,
    },
    recommends => {
        # build
        'Test::Pod'              => '1.14',
        'Test::Pod::Coverage'    => '1.04',
        'Test::More'             => 0,
        'I18N::LangTags::Detect' => 0, # at dist I18N-LangTags
    },
    create_makefile_pl   => 'traditional',
    recursive_test_files => 1,
    add_to_cleanup       => [ qw(
        META.yml *.bak *.gz Makefile.PL *.po *.txt
    ) ],
)->create_build_script();